# Time sensor (for use in templates and TTS)
  - platform: time_date
    display_options:
      - 'time'
# Raspberry Pi CPU temp
  - platform: command_line
    name: "CPU Temp"
    command: "cat /sys/class/thermal/thermal_zone0/temp"
    unit_of_measurement: "°C"
    value_template: "{{ value | multiply(0.001) | round(1) }}"
# Moon Phases
  - platform: moon
# DWD weather warnings
  - platform: dwd_weather_warnings
    name: "DWD Unwetterwarnungen"
    region_name: "Münster-Süd"
# Database size sensor
  - platform: sql
    db_url: !secret ha_recorder_dburl
    queries:
      - name: "Home Assistant Datenbankgröße"
        query: 'SELECT table_schema "database", Round(Sum(data_length + index_length) / 1048576, 2) "value" FROM information_schema.tables WHERE table_schema="homeassistant" GROUP BY table_schema;'
        column: 'value'
        unit_of_measurement: MB
# SNMP (Juniper) router traffic sensor
  - platform: snmp
    name: snmp_wan_in
    host: !secret router_ip
    community: !secret router_community
    baseoid: .1.3.6.1.2.1.2.2.1.10.511

  - platform: snmp
    name: snmp_wan_out
    host: !secret router_ip
    community: !secret router_community
    baseoid: .1.3.6.1.2.1.2.2.1.16.511

  - platform: template
    sensors:
        internet_speed_in:
          friendly_name: 'Internet Speed IN'
          value_template: '{{ ((states.input_number.internet_traffic_delta_in.state | float ) / 1000000 ) | round(2) }}'
          unit_of_measurement: 'Mbps'

  - platform: template
    sensors:
        internet_speed_out:
          friendly_name: 'Internet Speed OUT'
          value_template: '{{ ((states.input_number.internet_traffic_delta_out.state | float ) / 1000000 ) | round(2) }}'
          unit_of_measurement: 'Mbps'

  - platform: statistics
    name: 'WAN Traffic In'
    entity_id: sensor.internet_speed_in

  - platform: statistics
    name: 'WAN Traffic Out'
    entity_id: sensor.internet_speed_out
